INTERFACE
SUBROUTINE gpscalc_alpha2dad(kobs,&
 & klev,&
 & khoriz,&
 & pdsep,&
 & pa,&
 & prefrac,&
 & prefrac_hat,&
 & pradius,&
 & pradius_hat,&
 & pnr,&
 & pnr_hat,&
 & pa_path_hat,&
 & palpha_hat) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: kobs
INTEGER(KIND=JPIM), INTENT(IN) :: klev
INTEGER(KIND=JPIM), INTENT(IN) :: khoriz
REAL(KIND=JPRB), INTENT(IN) :: pdsep
REAL(KIND=JPRB), INTENT(IN) :: pa(kobs)
REAL(KIND=JPRB), INTENT(IN) :: prefrac(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: prefrac_hat(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pradius(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: pradius_hat(klev,khoriz)
REAL(KIND=JPRB), INTENT(IN) :: pnr(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: pnr_hat(klev,khoriz)
REAL(KIND=JPRB), INTENT(INOUT) :: pa_path_hat(kobs,2)
REAL(KIND=JPRB), INTENT(INOUT) :: palpha_hat(kobs)
END SUBROUTINE gpscalc_alpha2dad
END INTERFACE
